E-MailRelay

Public Member Functions | List of all members
GNet::Done Class Reference

An exception class that is caught separately by GNet::EventEmitter and GNet::TimerList so that onException() callbacks have their 'done' parameter set. More...

`#include <gnetdone.h>`

Inheritance diagram for GNet::Done:
[legend]
Collaboration diagram for GNet::Done:
[legend]

## Public Member Functions
| Done ()
| Constructor. More...

## Detailed Description

An exception class that is caught separately by GNet::EventEmitter and GNet::TimerList so that onException() callbacks have their 'done' parameter set.

See also
  GNet::ClientPtr

Definition at line 39 of file gnetdone.h.

## Constructor & Destructor Documentation

## ◆ Done()

GNet::Done::Done | ( |  | ) |

Constructor.

Definition at line 24 of file gnetdone.cpp.

The documentation for this class was generated from the following files:

- /tmp/slackdce/slackrepo.HKsbdz/build_emailrelay/emailrelay-2.6/src/gnet/gnetdone.h
- /tmp/slackdce/slackrepo.HKsbdz/build_emailrelay/emailrelay-2.6/src/gnet/gnetdone.cpp